Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class HelloMsg

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.testing.HelloMsg

All Implemented Interfaces:
  java.io.Serializable, Message

    public class HelloMsg

extends Message

Author:
  Jeff Hoye
See Also:
  Serialized Form

Field Summary
`boolean` | `messageDirect`
`Id` | `target`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`HelloMsg(int addr, NodeHandle src, Id tgt, int mid)`

Method Summary
`int` | `getId()`
`java.lang.String` | `getInfo()`
`java.lang.String` | `toString()`

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### target

    public Id target

### messageDirect

    public boolean messageDirect

Constructor Detail

### HelloMsg

    public HelloMsg(int addr,
                    NodeHandle src,
                    Id tgt,
                    int mid)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getInfo

    public java.lang.String getInfo()

### getId

    public int getId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.